AbstractMap (Colt 1.2.0 - API Specification)
Keywords: cern.colt.map.AbstractMap class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.colt.map
Class AbstractMap

    java.lang.Object
      cern.colt.PersistentObject
          cern.colt.map.AbstractMap

All Implemented Interfaces:
  Cloneable, Serializable

Direct Known Subclasses:
  AbstractDoubleIntMap, AbstractIntDoubleMap, AbstractIntIntMap, AbstractIntObjectMap, AbstractLongObjectMap

public abstract class AbstractMap
extends PersistentObject

Abstract base class for hash maps holding objects or primitive data types such as `int`, `float`, etc. as keys and/or values. First see the package summary and javadoc tree view to get the broad picture.

Note that implementations are not synchronized.

Version:
  1.0, 09/24/99
See Also:
  `HashMap`, Serialized Form

Field Summary

Fields inherited from class cern.colt.PersistentObject
`serialVersionUID`

Method Summary
`abstract void` | `clear()` Removes all (key,value) associations from the receiver.
`void` | `ensureCapacity(int minCapacity)` Ensures that the receiver can hold at least the specified number of elements without needing to allocate new internal memory.
`boolean` | `isEmpty()` Returns `true` if the receiver contains no (key,value) associations.
`int` | `size()` Returns the number of (key,value) associations currently contained.
`void` | `trimToSize()` Trims the capacity of the receiver to be the receiver's current size.

Methods inherited from class cern.colt.PersistentObject
`clone`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clear

    public abstract void clear()

  Removes all (key,value) associations from the receiver.

### ensureCapacity

    public void ensureCapacity(int minCapacity)

  Ensures that the receiver can hold at least the specified number of elements without needing to allocate new internal memory. If necessary, allocates new internal memory and increases the capacity of the receiver.

  This method never need be called; it is for performance tuning only. Calling this method before `put()`ing a large number of associations boosts performance, because the receiver will grow only once instead of potentially many times.

  This default implementation does nothing. Override this method if necessary.

  Parameters:
    `minCapacity` - the desired minimum capacity.

### isEmpty

    public boolean isEmpty()

  Returns `true` if the receiver contains no (key,value) associations.

  Returns:
    `true` if the receiver contains no (key,value) associations.

### size

    public int size()

  Returns the number of (key,value) associations currently contained.

  Returns:
    the number of (key,value) associations currently contained.

### trimToSize

    public void trimToSize()

  Trims the capacity of the receiver to be the receiver's current size. Releases any superfluous internal memory. An application can use this operation to minimize the storage of the receiver.

  This default implementation does nothing. Override this method if necessary.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage